<template>
  <div class="container">
    <h1>
      <u>Vous recherchez un film ?</u>
    </h1>
    <br />
    <input
      class="input"
      type="text"
      placeholder="Saisissez un film"
      v-model="cle"
      @keyup="getResult(cle)"
    /> 
    <!-- Affichage du résultat de la recherche -->
    <div v-for="resultat in getFilm" :key="resultat.id" class="affiche">
      <router-link v-bind:to="'/information/'+resultat.id">
        <h2 class="title"><b>{{resultat.title}}</b></h2>
      </router-link>
      <p v-if="resultat.poster_path != null" class="poster">
        <img v-bind:src="'http://image.tmdb.org/t/p/w154/' + resultat.poster_path" width="150px" />
      </p>
      <p v-else class="poster">
        <img src="../../public/no-image.png" width="150px" />
      </p>
      <h3>Résumer :</h3>
      <p class="synopsis" v-if="resultat.overview != ''">"{{resultat.overview}}"</p>
      <p class="synopsis" v-else > "Pas de résumer !"</p>
    </div>
  </div>
</template>


<script>
import axios from "axios";
export default {
  data() {
    return {
      query: null,
      getFilm: null,
      cle: null
    };
  },
  methods: {
    getResult(cle) {
      axios 
        .get(
          "https://api.themoviedb.org/3/search/movie?api_key=8808341f6d652f0ef862338f6c67c723&language=fr&region=fr&query=" +
            cle
        )
        .then(response => (this.getFilm = response.data.results));
    }
  }
};
</script> 
